# Uses of Interface
java.lang.classfile.Signature.RefTypeSig

Packages that use Signature.RefTypeSig
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Signature.RefTypeSig in java.lang.classfile

Subinterfaces of Signature.RefTypeSig in java.lang.classfile
Modifier and Type
Interface
Description
`static interface`
`Signature.ArrayTypeSig`
Models the signature of an array type.
`static interface`
`Signature.ClassTypeSig`
Models the signature of a possibly-parameterized class or interface type.
`static interface`
`Signature.TypeVarSig`
Models the signature of a type variable.
Methods in java.lang.classfile that return Signature.RefTypeSig
Modifier and Type
Method
Description
`Signature.RefTypeSig`
Signature.TypeArg.Bounded.`boundType()`
Returns the signature of the type bound.
Methods in java.lang.classfile that return types with arguments of type Signature.RefTypeSig
Modifier and Type
Method
Description
`Optional<Signature.RefTypeSig>`
Signature.TypeParam.`classBound()`
Returns the class bound of the type parameter.
`List<Signature.RefTypeSig>`
Signature.TypeParam.`interfaceBounds()`
Returns the interface bounds of the type parameter.
Methods in java.lang.classfile with parameters of type Signature.RefTypeSig
Modifier and Type
Method
Description
`static Signature.TypeArg.Bounded`
Signature.TypeArg.`bounded(Signature.TypeArg.Bounded.WildcardIndicator wildcard, Signature.RefTypeSig boundType)`
Returns a bounded type argument.
`static Signature.TypeArg.Bounded`
Signature.TypeArg.`extendsOf(Signature.RefTypeSig boundType)`
Returns an upper-bounded wildcard type argument.
`static Signature.TypeArg.Bounded`
Signature.TypeArg.`of(Signature.RefTypeSig boundType)`
Returns a type argument of a reference type.
`static Signature.TypeParam`
Signature.TypeParam.`of(String identifier, Signature.RefTypeSig classBound, Signature.RefTypeSig... interfaceBounds)`
Returns a signature for a type parameter.
`static Signature.TypeParam`
Signature.TypeParam.`of(String identifier, Optional<Signature.RefTypeSig> classBound, Signature.RefTypeSig... interfaceBounds)`
Returns a signature for a type parameter.
`static Signature.TypeArg.Bounded`
Signature.TypeArg.`superOf(Signature.RefTypeSig boundType)`
Returns a lower-bounded wildcard type argument.
Method parameters in java.lang.classfile with type arguments of type Signature.RefTypeSig
Modifier and Type
Method
Description
`static Signature.TypeParam`
Signature.TypeParam.`of(String identifier, Optional<Signature.RefTypeSig> classBound, Signature.RefTypeSig... interfaceBounds)`
Returns a signature for a type parameter.